## django-fsm-2 4.0.0

=== requirements.txt ===
asgiref==3.8.1 ; python_version >= "3.8" and python_version < "4.0" \
    --hash=sha256:3e1e3ecc849832fe52ccf2cb6686b7a55f82bb1d6aee72a58826471390335e47 \
    --hash=sha256:c343bd80a0bec947a9860adb4c432ffa7db769836c64238fc34bdc3fec84d590
backports-zoneinfo==0.2.1 ; python_version >= "3.8" and python_version < "3.9" \
    --hash=sha256:17746bd546106fa389c51dbea67c8b7c8f0d14b5526a579ca6ccf5ed72c526cf \
    --hash=sha256:1b13e654a55cd45672cb54ed12148cd33628f672548f373963b0bff67b217328 \
    --hash=sha256:1c5742112073a563c81f786e77514969acb58649bcdf6cdf0b4ed31a348d4546 \
    --hash=sha256:4a0f800587060bf8880f954dbef70de6c11bbe59c673c3d818921f042f9954a6 \
    --hash=sha256:5c144945a7752ca544b4b78c8c41544cdfaf9786f25fe5ffb10e838e19a27570 \
    --hash=sha256:7b0a64cda4145548fed9efc10322770f929b944ce5cee6c0dfe0c87bf4c0c8c9 \
    --hash=sha256:8439c030a11780786a2002261569bdf362264f605dfa4d65090b64b05c9f79a7 \
    --hash=sha256:8961c0f32cd0336fb8e8ead11a1f8cd99ec07145ec2931122faaac1c8f7fd987 \
    --hash=sha256:89a48c0d158a3cc3f654da4c2de1ceba85263fafb861b98b59040a5086259722 \
    --hash=sha256:a76b38c52400b762e48131494ba26be363491ac4f9a04c1b7e92483d169f6582 \
    --hash=sha256:da6013fd84a690242c310d77ddb8441a559e9cb3d3d59ebac9aca1a57b2e18bc \
    --hash=sha256:e55b384612d93be96506932a786bbcde5a2db7a9e6a4bb4bffe8b733f5b9036b \
    --hash=sha256:e81b76cace8eda1fca50e345242ba977f9be6ae3945af8d46326d776b4cf78d1 \
    --hash=sha256:e8236383a20872c0cdf5a62b554b27538db7fa1bbec52429d8d106effbaeca08 \
    --hash=sha256:f04e857b59d9d1ccc39ce2da1021d196e47234873820cbeaad210724b1ee28ac \
    --hash=sha256:fadbfe37f74051d024037f223b8e001611eac868b5c5b06144ef4d8b799862f2
django==4.2.13 ; python_version >= "3.8" and python_version < "4.0" \
    --hash=sha256:837e3cf1f6c31347a1396a3f6b65688f2b4bb4a11c580dcb628b5afe527b68a5 \
    --hash=sha256:a17fcba2aad3fc7d46fdb23215095dbbd64e6174bf4589171e732b18b07e426a
sqlparse==0.5.0 ; python_version >= "3.8" and python_version < "4.0" \
    --hash=sha256:714d0a4932c059d16189f58ef5411ec2287a4360f17cdd0edd2d09d4c5087c93 \
    --hash=sha256:c204494cd97479d0e39f28c93d46c0b2d5959c7b9ab904762ea6c7af211c8663
typing-extensions==4.12.2 ; python_version >= "3.8" and python_version < "3.11" \
    --hash=sha256:04e5ca0351e0f3f85c6853954072df659d0d13fac324d0072316b67d7794700d \
    --hash=sha256:1a7ead55c7e559dd4dee8856e3a88b41225abfe1ce8df57b7c13915fe121ffb8
tzdata==2024.1 ; python_version >= "3.8" and python_version < "4.0" and sys_platform == "win32" \
    --hash=sha256:2674120f8d891909751c38abcdfd386ac0a5a1127954fbc332af6b5ceae07efd \
    --hash=sha256:9068bc196136463f5245e51efda838afa15aaeca9903f49050dfa2679db4d252

=== debian/changelog ===
django-fsm-2 (4.0.0-3) unstable; urgency=medium

  * Fix typo in URL
  * Run upstream testapp in autopkgtest

 -- Jakob Haufe <sur5r@debian.org>  Mon, 21 Apr 2025 17:02:52 +0200

django-fsm-2 (4.0.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Jakob Haufe <sur5r@debian.org>  Wed, 09 Apr 2025 21:00:04 +0200

django-fsm-2 (4.0.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1102210)

 -- Jakob Haufe <sur5r@debian.org>  Wed, 09 Apr 2025 20:59:32 +0200

=== debian/control ===
Source: django-fsm-2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
           Michael Fladischer <fladi@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: pybuild-plugin-pyproject,
                     python3-django <!nocheck>,
                     python3-django-guardian <!nocheck>,
                     python3-poetry-core,
Standards-Version: 4.7.2
Homepage: https://github.com/django-commons/django-fsm-2
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm-2
Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm-2.git
Rules-Requires-Root: no

Package: python3-django-fsm-2
Architecture: all
Conflicts: python3-django-fsm,
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-pygraphviz,
Description: Django friendly finite state machine support (Python3 version)
 django-fsm-2 adds declarative states management for django models. Instead of
 adding some state field to a django model, and managing its values by hand,
 you could use FSMState field and mark model methods with the transition
 decorator. Your method could contain the side-effects of the state change.
 .
 django-fsm-2 is a continuation of django-fsm.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests/manage.py" dh_auto_test

=== debian/tests/control ===
Tests: run-upstream-testapp,
Depends: python3-django-fsm-2,
         python3-django-guardian,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://api.github.com/repos/django-commons/django-fsm-2/releases \
 https://api.github.com/repos/django-commons/django-fsm-2/tarball/@ANY_VERSION@

## django-fsm-2 4.1.0

=== debian/changelog ===
django-fsm-2 (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Jakob Haufe <sur5r@debian.org>  Sat, 08 Nov 2025 15:25:07 +0100

=== debian/tests/control ===
Tests: run-upstream-testapp,
Depends: python3-django-fsm-2,
         python3-django-guardian,
         python3-graphviz,
         python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: django-commons
Project: django-fsm-2
